Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.acl
Class AuthUserPrincipal

    java.lang.Object
      |
      +--org.w3c.jigsaw.acl.AuthUserPrincipal

public class AuthUserPrincipal
extends java.lang.Object
implements AclPrincipal

Field Summary
`protected IPMatcher` | `ipmatcher`
`protected java.lang.String` | `name`
`protected java.lang.String` | `password`
`protected java.lang.String` | `realm`
`protected java.util.Hashtable` | `values`

Constructor Summary
`AuthUserPrincipal(AuthUser user, java.lang.String realm)`

Method Summary
`boolean` | `equals(java.lang.Object another)`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getRealm()`
`java.lang.Object` | `getValue(java.lang.String name)`
`int` | `hashCode()`
`boolean` | `matchIP(java.net.InetAddress adr)`
`void` | `setValue(java.lang.String name, java.lang.Object value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### password

    protected java.lang.String password

### realm

    protected java.lang.String realm

### values

    protected java.util.Hashtable values

### ipmatcher

    protected IPMatcher ipmatcher

Constructor Detail

### AuthUserPrincipal

    public AuthUserPrincipal(AuthUser user,
                             java.lang.String realm)

Method Detail

### equals

    public boolean equals(java.lang.Object another)

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### getName

    public java.lang.String getName()

### getRealm

    public java.lang.String getRealm()

  Specified by:
    getRealm in interface AclPrincipal

### getPassword

    public java.lang.String getPassword()

  Specified by:
    getPassword in interface AclPrincipal

### setValue

    public void setValue(java.lang.String name,
                         java.lang.Object value)

  Specified by:
    setValue in interface AclPrincipal

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Specified by:
    getValue in interface AclPrincipal

### matchIP

    public boolean matchIP(java.net.InetAddress adr)

  Specified by:
    matchIP in interface AclPrincipal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD